import request from '@/utils/request';

// 查询我负责的经销商列表
export function queryMyChainsGroupList(query) {
  return request({
    url: 'mobile/chainsGroup/queryMyChainsGroupList',
    method: 'get',
    params: query,
  });
}
// 查询我部门的销售部经销商列表
export function queryMyChainsGroupListByDept(query) {
  return request({
    url: '/mobile/chainsGroup/queryMyChainsGroupListByDept',
    method: 'get',
    params: query,
  });
}
// 通过经销商ID获取对应经销商任务组信息
export function getChainsGroupTask(data) {
  return request({
    url: '/mobile/chainsGroup/getChainsGroupTask',
    method: 'post',
    data,
  });
}

export function checkChainsAddressByChainCode(query) {
  return request({
    url: '/mobile/chainsGroup/checkChainsAddressByChainCode',
    method: 'get',
    params: query,
  });
}

// 查询主经销商
export function getMainchains(query) {
  return request({
    url: '/mobile/chainsGroup/getMainChains',
    method: 'get',
    params: query,
  });
}

// 查询历史拜访任务详情
export function getVisitsDetail(query) {
  return request({
    url: '/mobile/chainsGroup/getVisitsDetail',
    method: 'get',
    params: query,
  });
}

//根据经销商id获取拜访历史
export function getChainsVisitsHistory(query) {
  return request({
    url: '/mobile/chainsGroup/getChainsVisitsHistory',
    method: 'get',
    params: query,
  });
}

//异常拜访获取拜访id
export function addVisits(data) {
  return request({
    url: '/mobile/chainsGroup/addVisits',
    method: 'post',
    data,
  });
}
